package com.hzya.frame.mdm.entity;


import com.hzya.frame.mdm.mdmModuleDb.entity.MdmModuleDbEntity;
import com.hzya.frame.mdm.mdmModuleDbFileds.entity.MdmModuleDbFiledsEntity;
import com.hzya.frame.mdm.mdmTableCodeRule.entity.MdmTableCodeRuleEntity;

import java.util.List;

public class MdmDto {

    //id
    private String id;
    //3、新增4、修改 5、查看
    private String showType;
    //分页
    private Integer pageNum;
    private Integer pageSize;
    /**
     * 显示字段
     */
    private String viewFiled;
    /**
     * 上级id字段
     */
    private String upIdFiled;
    //主数据名称
    private String mdmName;
    //主数据编码
    private Integer mdmCode;
    //主数据类型
    private String mdmType;
    //描述
    private String remark;
    //描述
    private String[] ids;
    //单据编码规则
    private List<MdmTableCodeRuleEntity> mdmTableCodeRuleEntityList;
    //主数据主表
    private MdmModuleDbEntity mainMdmModuleDb;
    //主数据子表
    private List<MdmModuleDbEntity> sublistMdmModuleDb;

    private String tableName;
    private String value;

    private String label;
    private String lableValue;

    private String upId;


    public String getLableValue() {
        return lableValue;
    }

    public void setLableValue(String lableValue) {
        this.lableValue = lableValue;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public MdmModuleDbEntity getMainMdmModuleDb() {
        return mainMdmModuleDb;
    }

    public void setMainMdmModuleDb(MdmModuleDbEntity mainMdmModuleDb) {
        this.mainMdmModuleDb = mainMdmModuleDb;
    }

    public List<MdmModuleDbEntity> getSublistMdmModuleDb() {
        return sublistMdmModuleDb;
    }

    public void setSublistMdmModuleDb(List<MdmModuleDbEntity> sublistMdmModuleDb) {
        this.sublistMdmModuleDb = sublistMdmModuleDb;
    }

    public String getMdmName() {
        return mdmName;
    }

    public void setMdmName(String mdmName) {
        this.mdmName = mdmName;
    }

    public Integer getMdmCode() {
        return mdmCode;
    }

    public void setMdmCode(Integer mdmCode) {
        this.mdmCode = mdmCode;
    }

    public String getMdmType() {
        return mdmType;
    }

    public void setMdmType(String mdmType) {
        this.mdmType = mdmType;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getShowType() {
        return showType;
    }

    public void setShowType(String showType) {
        this.showType = showType;
    }

    public List<MdmTableCodeRuleEntity> getMdmTableCodeRuleEntityList() {
        return mdmTableCodeRuleEntityList;
    }

    public void setMdmTableCodeRuleEntityList(List<MdmTableCodeRuleEntity> mdmTableCodeRuleEntityList) {
        this.mdmTableCodeRuleEntityList = mdmTableCodeRuleEntityList;
    }

    public String getViewFiled() {
        return viewFiled;
    }

    public void setViewFiled(String viewFiled) {
        this.viewFiled = viewFiled;
    }

    public String getUpIdFiled() {
        return upIdFiled;
    }

    public void setUpIdFiled(String upIdFiled) {
        this.upIdFiled = upIdFiled;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getUpId() {
        return upId;
    }

    public void setUpId(String upId) {
        this.upId = upId;
    }

    public String[] getIds() {
        return ids;
    }

    public void setIds(String[] ids) {
        this.ids = ids;
    }
}

